/*
 * Copyright (c) 2008, intarsys consulting GmbH
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Public License as published by the 
 * Free Software Foundation; either version 3 of the License, 
 * or (at your option) any later version.
 * <p/>
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 * 
 */
package de.intarsys.pdf.platform.cwt.color.swt;

import org.eclipse.swt.graphics.PaletteData;

import de.intarsys.pdf.pd.PDCSDeviceGray;
import de.intarsys.pdf.pd.PDColorSpace;
import de.intarsys.pdf.pd.PDImage;

/**
 * 
 */
public class SwtCSDeviceGray extends SwtCSDevice {
	public SwtCSDeviceGray(PDColorSpace pdColorSpace) {
		super(pdColorSpace);
	}

	@Override
	public int getNumComponents() {
		return 1;
	}

	@Override
	public PaletteData getPalette(PDImage pdImage) {
		int bitsPerComponent;

		bitsPerComponent = pdImage.getBitsPerComponent();
		// expect bitsPerComponent to be 1, 2, 4, or 8
		return de.intarsys.cwt.swt.image.CwtSwtImageTools
				.getGrayPalette(bitsPerComponent);
	}

	protected PDCSDeviceGray myPDColorSpace() {
		return (PDCSDeviceGray) getPDColorSpace();
	}
}
